
Redmine - Defect #20454

Mail handler: unwanted assignment to a group occurs

2015-07-31 15:45 - Alexander Ryabinovskiy

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 3.0.5   

Resolution: Fixed Affected version: 3.1.0

Description

  Environment:

  Redmine version                3.1.0.stable

  Ruby version                   2.0.0-p645 (2015-04-13) [i386-mingw32]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               SQLServer

I turned on "Allow issue assignment to groups" option in settings.

My project has 3 members: user1, user2 and group1.

1. I created an issue from email, not assigned:

rake redmine:email:receive_pop3 unknown_user=accept host=comp.local port=110 username=redmine@comp

.local password=XXX allow_override=project,tracker,priority project=test

2. I received email notification from Redmine about that issue:

Issue #1198 has been reported by Ryabinovskiy Alexander.

Work #1198: test issue from email

•    Author: Ryabinovskiy Alexander

•    Status: New

•    Priority: Normal

•    Assignee: 

•    Category: 

•    Target version: 

Test issue description

 3. I replied to that email with quoting, my comment was added to issue, but "Assignee" was changed to group1 !

Updated by Ryabinovskiy Alexander less than a minute ago

Assignee set to group1

Comment Edit

Test comment 1

Issue #1198 has been reported by Ryabinovskiy Alexander.

Work #1198: test issue from email

Author: Ryabinovskiy Alexander

Category:

Test issue description

Also, Status, Priority, Target version was parsed from email, but I used only allow_override=project,tracker,priority option!

Related issues:

Copied to Redmine - Defect #20543: Mail handler: don't allow override of some... Closed
Associated revisions

Revision 14499 - 2015-08-15 08:47 - Jean-Philippe Lang

Fixed that #find_assignee_from_keyword may return a group with blank keyword (#20454).

Revision 14548 - 2015-09-12 12:58 - Jean-Philippe Lang

Merged r14499 (#20454).

Revision 14549 - 2015-09-12 12:58 - Jean-Philippe Lang

Merged r14499 (#20454).

History

#1 - 2015-08-15 08:49 - Jean-Philippe Lang

- Subject changed from Wrong attributes overriding from email body to Mail handler: unwanted assignment to a group occurs

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 3.1.1

- Resolution set to Fixed

Alexander Ryabinovskiy wrote:

3. I replied to that email with quoting, my comment was added to issue, but "Assignee" was changed to group1 !

 Fixed in r14499.

Please open a separate ticket for the other issue.

#2 - 2015-08-17 12:18 - Alexander Ryabinovskiy

- Copied to Defect #20543: Mail handler: don't allow override of some attributes by default added

#3 - 2015-09-12 12:59 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Target version changed from 3.1.1 to 3.0.5
